Bug 101492 - psm reaper broken (again?)
Summary: psm reaper broken (again?)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-08-01 19:03 UTC by Elliot Lee
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-19 13:42:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elliot Lee 2003-08-01 19:03:35 UTC
rpm-4.2.1-0.29 psm reaper isn't reaping the child processes from the %pre/%post scripts, 
so everything grinds to a halt and the child process stays on as a zombie.

This is an old bug that either never got fixed or just returned.

Comment 1 Elliot Lee 2003-08-04 19:33:00 UTC
My latest understanding of this bug:

- rpm 4.3 has the fix, a rewrite of the package state machine
- The fix was deemed (by someone besides jbj) as too intrusive to go into rpm 4.2.x


Note You need to log in before you can comment on or make changes to this bug.